[pacman-dev] document changes between 5.1 and 5.2

Message ID 20190814051143.6518-1-eschwartz@archlinux.org
State New
Headers show
Series
  • [pacman-dev] document changes between 5.1 and 5.2
Related show

Commit Message

Eli Schwartz Aug. 14, 2019, 5:11 a.m. UTC
Signed-off-by: Eli Schwartz <eschwartz@archlinux.org>
---

Should be complete through to commit 75837a2717c3b5654149393d6ec0e0977a7ddc2f

Instead of trying to make judgment calls about what order to list
"important" changes in, I have tried to sort everything on a
first-committed first-listed basis. This is guaranteed to make nobody
happy, which is the best type of compromise -- it means you can do that
yourself, Allan. ;)

It also means it should be easier to double check that I didn't miss
anything. Some news entries touch on multiple commits at once (e.g.
grouping all extensions to libmakepkg together) in which case they all
got listed with the first occurrence.

Given expected updates for WKD stuff, I will be submitting v2+ versions
at some point.

 NEWS   | 82 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README |  7 +++++
 2 files changed, 89 insertions(+)

Patch

diff --git a/NEWS b/NEWS
index ce39e0c5..30b75186 100644
--- a/NEWS
+++ b/NEWS
@@ -1,5 +1,87 @@ 
 VERSION         DESCRIPTION
 -----------------------------------------------------------------------------
+5.2.0         - ignore .hook suffix when sorting libalpm hooks
+              - update the minimum requirement of bash to 4.4
+              - completely remove the --force option
+              - scripts: pass on options such as set -x to child processes
+              - show group and installed status during -Fs
+              - user-visible log when validity check fails due to access
+              - port pactest to python3
+              - process --needed before group selection when resolving the
+                dependencies to prompt for (FS#22870)
+              - don't error when a group exists but all packages are ignored
+              - bash completion now completes when it should, and doesn't
+                complete when it shouldn't (FS#59965)
+              - add the meson build system as an alternative to autotools
+              - improve error message when gpg support is missing (FS#60880)
+              - don't emit confusing errors when a package is simultaneously
+                replaced and upgraded (FS#50875, FS#55534)
+              - better warning message when skipping duplicate targets (FS#49377)
+              - libalpm: parse {check, make}depends when reading database
+                (FS#60347)
+              - add [ignored] to -Qu output for packages in repos that are not
+                Usage = Upgrade (FS#59854)
+              - prevent 301 redirect loop from hanging libalpm
+              - use standard, consistent units in the download progress
+                (FS#59201)
+              - fix segfault when Usage is specified without a value
+              - completely remove delta support
+              - include timezones in pacman.log
+              - renovate and simplify the UI for -F (FS#47949)
+              - hooks: rename type File to Path, for accuracy
+              - bash-completion: use POSIX character classes for portability
+              - correctly report a download failiure for 404s
+              - fix handling of signals during SIGSEGV
+              - makepkg:
+                - add support for lzip, lz4 and zst compressed packages
+                  (FS#56676, FS#59081)
+                - various improvements to PKGBUILD linting
+                - when signing packages, report package filename on failure
+                - fix pkgver() function not aborting on errors
+                - remove checksum algorithm whirlpoolsum as it has not worked
+                  for a long time
+                - reject PKGBUILDs with both split and non-split package
+                  functions
+                - send status messages to stderr rather than stdout (FS#17173)
+                - ensure debug buildflags are unset when they are supposed to be
+                - buildenv and executable detection, definitions for the
+                  PKGBUILD schema, and makepkg.conf loading are now part of
+                  libmakepkg
+                - fix broken check for the fakeroot binary
+                - improve the error message for invalid dependency versioning
+                - add routine for linting $SOURCE_DATE_EPOCH
+                - fix the error code when no PKGBUILD exists
+                - implement extendable source/signature verification routines
+                  within libmakepkg (FS#49076)
+                - use --unneeded when removing build deps to allow runtime-only
+                  deps to work well with makepkg -sir (FS#32723)
+                - if pacman is in use, wait until it is available before
+                  continuing (FS#28840)
+                - add new checksum algorithm, b2sum
+                - compute package sizes correctly across different filesystems
+                - use shared clones for git sources to save space when building
+                - fix reporting of invalid archive extensions
+                - correctly handle hg sources with updates on a non-default
+                  branch
+                - install pkg-config file for libmakepkg's library directory
+                - propagate error codes when package failed to sign correctly
+                - be compatible with file 5.37's application/gzip MIME type
+                - forbid non-ASCII pkgname and pkgver (FS#49342)
+                - fix exiting on failure without ensuring dependencies are
+                  prompted for removal
+                - quiet superfluous warnings for missing debug source files for
+                  artificial symbols
+              - pacman-key:
+                - just accept one file to verify, and enforce detached sigs
+              - repo-add:
+                - add support for zst compressed databases
+                - print the name of the database when extracting
+                - do not infinitely loop on malformed arguments with embedded
+                  globs
+                - add option to prevent downgrading (FS#17752)
+              - various documentation updates
+5.1.3         - Sanitize file name received from Content-Disposition header
+                during -U
 5.1.2         - pacman-conf: add missing DisableDownloadTimeout support
               - Include version when checking optdepend install status
                 during -Qi (FS#60106)
diff --git a/README b/README
index d96eae21..a39753fa 100644
--- a/README
+++ b/README
@@ -630,3 +630,10 @@  API CHANGES BETWEEN 5.0 AND 5.1
   - alpm_capabilities()
 - duplicate and add to list
   - alpm_list_append_strdup()
+
+API CHANGES BETWEEN 5.1 AND 5.2
+===============================
+[REMOVED]
+- alpm_sync_newversion()
+[ADDED]
+- alpm_sync_get_new_version()